| IOLink Python 1.11.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Properties | List of all members
iolink.iolink.Vector2i8 Class Reference
Inheritance diagram for iolink.iolink.Vector2i8:

## Public Member Functions
| __init__ (self, *args)
| size (self)
| at (self, index)
| set_at (self, index, value)
| squared_length (self)
| length (self)
| normalize (self)
| __eq__ (self, other)
| __ne__ (self, other)
| to_string (self)
| __neg__ (self)
| __iadd__ (self, v)
| __isub__ (self, v)
| __add__ (self, v)
| __sub__ (self, v)
| dot (self, v)
| cross (self, v)
| __imul__ (self, *args)
| __itruediv__ (self, *args)
| __mul__ (self, *args)
| __truediv__ (self, *args)
| __lt__ (self, other)
| __le__ (self, other)
| __gt__ (self, other)
| __ge__ (self, other)
| __init__ (self, *args)
| __iter__ (self)
| __len__ (self)
| __repr__ (self)
| __getitem__ (self, index)
| __setitem__ (self, index, value)

## Static Public Member Functions
| create_uniform (value)

## Properties
| thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")

## Detailed Description

    An arithmetic vector.

    :param T: The type wrote in the vector.
    :param N: The size, or number of dimension of the vector.

    Aliases can be used to made this class more practical to use. They use the
    following convention:
       VectorNX
    Where N is the size and X the type. The types currently available are:
    - U8 and I8 respectively for unsigned and signed 8bits integers.
    - U16 and I16 respectively for unsigned and signed 16bits integers.
    - U32 and I32 respectively for unsigned and signed 32bits integers.
    - U64 and I64 respectively for unsigned and signed 64bits integers.
    - F for single precision floats.
    - D for double precision floats.

    Examples:
    - Vector2i32: 2 dimensional 32bits signed integer.
    - Vector3f: 3 dimensionnal single precision float.

## Member Function Documentation

## ◆ at()

iolink.iolink.Vector2i8.at | ( |  | self,
|  |  | index
| ) |  |

    Access vector's value at given index.

## ◆ create_uniform()

iolink.iolink.Vector2i8.create_uniform | ( |  | value | ) |
| static

        Create a vector with the given value for all components.

        :type value: iolink::Vector< int8_t,2 >::ValueType
        :param value: The value wich the vector's data will be filled.

## ◆ cross()

iolink.iolink.Vector2i8.cross | ( |  | self,
|  |  | v
| ) |  |

        Cross product of two vectors.

        Work only for vectors of size 3.

## ◆ dot()

iolink.iolink.Vector2i8.dot | ( |  | self,
|  |  | v
| ) |  |

    Dot product of two vectors.

## ◆ length()

iolink.iolink.Vector2i8.length | ( |  | self | ) |

        Returns the vector's norm.

        Specifically, it is the L1 norm that's computed here.

## ◆ normalize()

iolink.iolink.Vector2i8.normalize | ( |  | self | ) |

    Normalize the vector

## ◆ set_at()

iolink.iolink.Vector2i8.set_at | ( |  | self,
|  |  | index,
|  |  | value
| ) |  |

    Set value as given index.

## ◆ size()

iolink.iolink.Vector2i8.size | ( |  | self | ) |

    Returns the size of the vector, which also correspond to vector number of dimension.

## ◆ squared_length()

iolink.iolink.Vector2i8.squared_length | ( |  | self | ) |

        Returns the vector's norm, squared.

        Specifically, it is the L1 norm that's computed here.

The documentation for this class was generated from the following file:

- Release/python/iolink/iolink.py